Basker Docs

Update Form

Update a Form. Rate limit: 20 requests per minute per API key.

PATCH
/{version}/{tenant}/forms/{id}
Authorization<token>

Use format: users API-Key YOUR_API_KEY

In: header

Path Parameters

version*string

API version

Default"2026-02"
Value in"2026-02"
tenant*string

Tenant slug

id*string

Form ID

Query Parameters

select?

Field selection object. Example query: select[slug]=true&select[updatedAt]=true

populate?

Relationship population object. Example query: populate[media][url]=true

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.basker.app/partners/2026-02/string/forms/string?select%5Bslug%5D=true&select%5BupdatedAt%5D=true&populate%5Bmedia%5D=%5Bobject+Object%5D" \  -H "Content-Type: application/json" \  -d '{}'
{
  "confirmationMessage": "string",
  "confirmationType": "message",
  "fields": [
    {}
  ],
  "redirect": {
    "type": "reference",
    "reference": "string",
    "url": "string"
  },
  "slug": "string",
  "submitButtonLabel": "string",
  "tenant": "string",
  "title": "string"
}
Empty
{
  "error": "Too Many Requests",
  "message": "Rate limit exceeded. Please retry later."
}